# FileRandomSource Class Reference
[Mathematical utilities]

Inheritance diagram for FileRandomSource:
[legend]

List of all members.

## Public Member Functions

| __construct ($filename)
| __destruct ()
| getBytes ($numberOfBytes)

## Private Attributes

| $handle = null

## Detailed Description

Definition at line 15 of file FileRandomSource.class.php.

## Constructor & Destructor Documentation

FileRandomSource::__construct | ( | $ | filename | ) |

Definition at line 19 of file FileRandomSource.class.php.

References Assert::isTrue().

Here is the call graph for this function:

FileRandomSource::__destruct | ( |  | ) |

Definition at line 26 of file FileRandomSource.class.php.

## Member Function Documentation

FileRandomSource::getBytes | ( | $ | numberOfBytes | ) |

Implements RandomSource.

Definition at line 31 of file FileRandomSource.class.php.

References Assert::isPositiveInteger().

Here is the call graph for this function:

## Member Data Documentation

FileRandomSource::$handle = null`[private]`

Definition at line 17 of file FileRandomSource.class.php.

The documentation for this class was generated from the following file:

- main/Math/FileRandomSource.class.php